org.eclipse.microprofile.rest.client.tck.interfaces.ssl

## Class ConfigurableHostnameVerifier

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.interfaces.ssl.ConfigurableHostnameVerifier

All Implemented Interfaces:
  HostnameVerifier

    public class ConfigurableHostnameVerifier
    extends Object
    implements HostnameVerifier

### Constructor Summary

Constructors
Constructor and Description
`ConfigurableHostnameVerifier()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `getHostname()`
`static SSLSession` `getSslSession()`
`static void` `setAccepting(boolean accepting)`
`boolean` `verify(String hostname, SSLSession sslSession)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurableHostnameVerifier

    public ConfigurableHostnameVerifier()

### Method Detail

#### verify

    public boolean verify(String hostname,
                          SSLSession sslSession)

Specified by:
  `verify` in interface `HostnameVerifier`

#### setAccepting

    public static void setAccepting(boolean accepting)

#### getSslSession

    public static SSLSession getSslSession()

#### getHostname

    public static String getHostname()